export class BranchIndex {
    constructor(db) {
        this.db = db;
    }
    async createNewBranch() {
        const maxBranchResult = await this.db.get("$maxBranch", "singleton");
        const maxBranch = maxBranchResult ? maxBranchResult.maxBranch : 0;
        await this.db.set("$maxBranch", { id: "singleton", maxBranch: maxBranch + 1 });
        return maxBranch;
    }
}
BranchIndex.schema = {
    // $maxBranch is a singleton
    $maxBranch: { id: "primary", maxBranch: "integer" },
};
