import { ExecutionContext } from "ava";
import "fake-indexeddb/auto";
import { Key, Node } from "@canvas-js/okra";
import type { Signer, Message } from "@canvas-js/interfaces";
import { AbstractGossipLog, GossipLogInit } from "@canvas-js/gossiplog";
export declare const testPlatforms: (name: string, run: (t: ExecutionContext<unknown>, openGossipLog: <Payload>(t: ExecutionContext, init: GossipLogInit<Payload>) => Promise<AbstractGossipLog<Payload>>) => void) => void;
export declare function expectLogEntries<T>(t: ExecutionContext<unknown>, log: AbstractGossipLog<T>, entries: [id: string, publicKey: string, message: Message<T>][]): Promise<void>;
export declare function getDirectory(t: ExecutionContext<unknown>): string;
export declare const printKey: (key: Key) => string;
export declare const printNode: (node: Node) => string;
export declare function shuffle<T>(array: T[]): void;
export declare function appendChain(log: AbstractGossipLog<string>, rootId: string, n: number, options?: {
    signer?: Signer<string>;
}): Promise<string[]>;
